diff --git a/dev/git-hooks/pre-commit.sh b/dev/git-hooks/pre-commit.sh
index 4eaa0428ca6da4b9d88592ca08bc7622cdc05f4d..3f376ce71e3bb85da9bb1c3ca551bfd4905875f3 100755
--- a/dev/git-hooks/pre-commit.sh
+++ b/dev/git-hooks/pre-commit.sh
@@ -41,6 +41,6 @@ if [ "$?" != "0" ]; then
     echo "         They will be verified only for a 'git commit -a' command."
 fi
 
-# Verifies the current version of files
-make lint.before-commit-a
-make check-headers.before-commit-a
+# Verifies the current version of the files
+make lint.before-commit-a || exit 1
+make check-headers.before-commit-a || exit 1